Management - Child Accounts
  • 01 Jun 2026
  • 1 Minute to read
  • Dark
    Light
  • Download PDF

Management - Child Accounts

  • Dark
    Light
  • Download PDF

Article summary

This script will demonstrate the use of the Parent Account API which allows you to query the usage for a single child account.

The sample uses the REST Client extension in VS Code, you should be able to copy these into VS Code and then just run the requests.  You can do the following actions:

  1. Get the list of child accounts and lookup the id for the one you want

  2. Get the ACR associated with this child account from a Turbo360 licensing perspective

  3. Get the list of users associated with this account

# ==============================================================
# Authentication Variables
# ==============================================================
@tenantId = [API Authentication - Tenant ID]
@clientId = [API Authentication - Client ID]
@clientSecret = [API Authentication - Client Secret]
@host = portal.turbo360.com

# ==============================================================
# Cost Analyzer Account Variables
# ==============================================================
@newAccountName = My-CostAnalyzer-Account
@childAccountId = {{getAccounts.response.body.$[?(@.name=='My-CostAnalyzer-Account')].id}}




# ==============================================================
# Step 1 - Get Authentication Token
# ==============================================================

# @name getToken
POST https://login.microsoftonline.com/{{tenantId}}/oauth2/v2.0/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials
&client_id={{clientId}}
&client_secret={{clientSecret}}
&scope=api://3ff33167-ae34-4bb3-b86d-109c22d28fc8/.default


###

# ==============================================================
# Step 2 - Get the Child Account from the list of accounts
# ==============================================================

# @name getAccounts
GET https://{{host}}/partner/api/account-management/get-managed-accounts
Accept: */*
Authorization: Bearer {{getToken.response.body.access_token}}

###

# ==============================================================
# Step 3 - Get the Child Account usage
# ==============================================================

GET https://{{host}}/partner/api/account-management/{{childAccountId}}/get-account-usage
Accept: */*
Authorization: Bearer {{getToken.response.body.access_token}}

###

# ==============================================================
# Step 4 - Get the Child Account users
# ==============================================================

GET https://{{host}}/partner/api/account-management/{{childAccountId}}/get-account-users
Accept: */*
Authorization: Bearer {{getToken.response.body.access_token}}

###


Was this article helpful?